package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbSpecialWork;
import com.ruoyi.system.domain.zb.ZbSpecialWorkExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbSpecialWorkMapper {
    long countByExample(ZbSpecialWorkExample example);

    int deleteByExample(ZbSpecialWorkExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbSpecialWork record);

    int insertSelective(ZbSpecialWork record);

    List<ZbSpecialWork> selectByExampleWithBLOBs(ZbSpecialWorkExample example);

    List<ZbSpecialWork> selectByExample(ZbSpecialWorkExample example);

    ZbSpecialWork selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbSpecialWork record, @Param("example") ZbSpecialWorkExample example);

    int updateByExampleWithBLOBs(@Param("record") ZbSpecialWork record, @Param("example") ZbSpecialWorkExample example);

    int updateByExample(@Param("record") ZbSpecialWork record, @Param("example") ZbSpecialWorkExample example);

    int updateByPrimaryKeySelective(ZbSpecialWork record);

    int updateByPrimaryKeyWithBLOBs(ZbSpecialWork record);

    int updateByPrimaryKey(ZbSpecialWork record);
}